Ethiack Docs
Event findings

Start Retest

POST
/v1/events/{event_slug}/findings/{finding_id}/retest/

Start a retest for a specific finding to check if the finding is still valid or has been resolved. The retest will be performed asynchronously. The retest status can be checked using the GET /v1/events/{event_slug}/findings/{finding_id}/retest endpoint.

Info: Retesting is used to update the status of a finding, enabling the user to check if the finding is still valid or has been resolved.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Path Parameters

finding_id*integer

The ID of the finding to retest

event_slug*string

The slug of the event

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.ethiack.com/v1/events/string/findings/0/retest/"
{
  "code": 0,
  "description": "string",
  "id": null,
  "success": true
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}